**`Randeep Singh Johar`[NAME]** -NL- Contact No: **`+91-8778960528`[PHONES_PHONE]** -NL- E-mail: **`randeepjohar22@gmail.com`[EMAILS_EMAIL]** -NL- **`Career Objective`[SUMMARY_HEADING]** -NL- Upskilled B.Tech (CS) graduate **`Software Engineer`[EMPLOYER_ROLE]** with 1+ years of experience in SDLC and -NL- experience of using predictive modelling and large-scale data processing to solve business -NL- problems. Currently, looking for opportunities in thefield of machine learning, data engineering or -NL- backend development. -NL- **`Professional Summary`[SUMMARY_HEADING]** -NL-  1+ years of experience in designing and implementing machine learning systems -NL- and pipelines. -NL-  1+ years of experience in large scale data engineering using Scala, Spark, HDFS. -NL-  Very good exposure working with multiple forms of SDLC such as waterfall, agile -NL- and understands agile principles/methodologies very well. -NL-  1+ years of experience working with various Machine Learning and data -NL- visualization modules such as SparkML, Spark pipelines, Pandas, Sklearn, NLP, -NL- Numpy, Matplotlib etc. -NL-  Exposure to Java, Maven, Gradle, RASA, MongoDB, Linux, Microservices and SQL. -NL- Projects Undertaken as part of Professional Experience -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- **`Reliance Jio Infocomm Ltd.`[EMPLOYER_COMPANY_NAME]** -NL- March 2020-Present | Bangalore -NL- Project Title -NL- XRay -NL- Duration -NL- March 2020 - Present -NL- Role -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- Technical -NL-  Python -NL- Proficiency -NL- **`Synopsis`[SUMMARY_HEADING]** -NL-  Currently working on implementing computer vision use case which will do -NL- objection detection, object recognition & scene detection -NL- **`Associate Application Engineer`[EMPLOYER_ROLE]** -NL- **`Unisys India Private Ltd`[EMPLOYER_COMPANY_NAME]**. -NL- July 2018-March 2020 | Bangalore -NL- Project Title -NL- LineSight, AIML CoE, Unisys Research -NL- Duration -NL- June 2018 – June 2019 -NL- Role -NL- Engineer – Application -NL- Technical -NL-  Microservices, Spark, Scala, Java, Python, Mongo DB, Linux, HDFS, Azure, -NL- 1 -NL- Proficiency -NL- Apache Nifi. -NL-  SparkML, Spark pipelines, Vertx, Pandas, Sklearn, Matplotlib -NL-  RASA, Chatbot, NLP, Standford Core NLP, BitBucket, git. -NL- **`Synopsis`[SUMMARY_HEADING]** -NL-  Currently working as a Machine Learning Engineer for AIML CoE which -NL- serves the AIML needs of multiple products across Unisys. -NL-  I have also worked as a Machine Learning Engineer for LineSight - a -NL- software for doing intelligence analysis on potential risks presented by -NL- travelers and air cargo shipments. -NL- Responsibilitie  Currently working with numerous modules (Time series data) as a Machine -NL- s Learning Engineer. -NL-  Worked as a Machine Learning Engineer for LineSight in which I was -NL- responsible for implementing Predictive models to production and -NL- integrating to ML pipelines, with more focus on security, availability and -NL- scalability. -NL-  Implemented a large-scale predictive model for detect Air Cargo Smuggling -NL- and Fraud using Machine Learning, Spark, and NLP techniques. -NL-  Familiar working with Linux and Azure environments. -NL- Project Title -NL- AIOps, AIML CoE, Unisys Research -NL- Duration -NL- June 2019 – Dec 2019 -NL- Role -NL- Engineer – Application -NL- Technical -NL-  Python, Azure Databricks(Spark), SQL -NL- Proficiency -NL- **`Synopsis`[SUMMARY_HEADING]** -NL-  Worked on the use case for cloud capacity management helping -NL- infrastructure team to minimize the cost wrt VMs. -NL- Responsibilitie  Implemented time series models for forecasting the values namely ARIMA & -NL- s AUTO-ARIMA. -NL-  Worked on the data pipeline & modelling scaling approach. -NL-  Performed data discovery, data wrangling, data pre-processing, modelling & -NL- data persistence. -NL-  -NL- Project Title -NL- Digistics Chatbot -NL- Duration -NL- Jan 2019 – March 2020 -NL- Role -NL- Engineer – Application -NL- Technical -NL-  Python, Rasa Framework -NL- Proficiency -NL- **`Synopsis`[SUMMARY_HEADING]** -NL-  Worked on building a Virtual Cargo Shipment Booking Assistant -NL- chatbot for Unisys Digistics team to simplify international airlines -NL- cargo booking process. -NL- Responsibilitie  Implemented custom action handlers for fetching details from APIs (Product -NL- s code, origin, destination,flight, shipper & consignee agent). -NL-  How the bot will handle any deviation at any time in the conversationalflow. -NL-  -NL- **`Certifications`[OTHERS_HEADING]** -NL- 2 -NL- Datacamp: Supervised Learning with Sci-kit learn by Dr. Hugo Bowne-Anderson. -NL- Datacamp: Building chatbot in python -NL- Udemy: Apache Spark with Scala -NL- **`Academic Qualification`[EDUCATION_HEADING]** -NL- Degree - Institution - Year of passing - CGPA/% -NL- **`B. Tech`[EDUCATION_DEGREE]** **`Computer Science and Engineering`[EDUCATION_COURSE]** - **`SRM University, Chennai`[EDUCATION_INSTITUTE]** - 2018 - 9.1 -NL- **`12th`[EDUCATION_DEGREE]** Standard - **`Padmawati Academy, Bareilly`[EDUCATION_INSTITUTE]** - 2014 - 93.4% -NL- **`10th`[EDUCATION_DEGREE]** Standard - **`Bishop Conrad Senior Secondary School, Bareilly`[EDUCATION_INSTITUTE]** - 2012 - 8.6 -NL- **`Publications`[OTHERS_HEADING]** -NL-  Deciphering the power PCA (Principle component analysis)-IIM Bangalore Seventh -NL- International Conference on Business Analytics and Intelligence. -NL-  Effective stackoverflow tag prediction and analysis using big data- International Journal of -NL- Pure and Applied Mathematics. -NL- **`Strengths`[SKILLS_HEADING]** -NL-  A team player. -NL-  Comprehensive problem solving and analytical skills. -NL-  Willingness to accept responsibility. -NL-  Adaptable, Punctual, Quick learner, and hard working. -NL- **`Achievements and Awards`[OTHERS_HEADING]** -NL-  Recipient of 50% wavier scholarship at **`SRM University, Chennai`[EDUCATION_INSTITUTE]**, India, 2014-2018. -NL-  Recipient of Unisys Technology Reward Recognition Award 2019 – In recognition of the -NL- outstanding contribution to Emerging Technologies. -NL- 3 -NL- 